Poblem building latest STK's git on Mac OSX

Poblem building latest STK's git on Mac OSX

Postby sNuntz » 06 Nov 2019, 00:32

I try to compile the last git on mac
at end of work occur the following error:

[100%] Linking CXX executable bin/supertuxkart.app/Contents/MacOS/supertuxkart
Undefined symbols for architecture x86_64:
"_EVP_CIPHER_CTX_reset", referenced from:
Crypto::Crypto(std::__1::vector<unsigned char, std::__1::allocator<unsigned char> > const&, std::__1::vector<unsigned char, std::__1::allocator<unsigned char> > const&) in client_lobby.cpp.o
Crypto::Crypto(std::__1::vector<unsigned char, std::__1::allocator<unsigned char> > const&, std::__1::vector<unsigned char, std::__1::allocator<unsigned char> > const&) in server_lobby.cpp.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [bin/supertuxkart.app/Contents/MacOS/supertuxkart] Error 1
make[1]: *** [CMakeFiles/supertuxkart.dir/all] Error 2
make: *** [all] Error 2

same problem on Sierra, High Sierra and Mojave
I think is an Xcode problem
Someone knows how to fix?
Thanks in advance
sNuntz
 
Posts: 13
Joined: 13 Jun 2019, 20:12

Re: Poblem building latest STK's git on Mac OSX

Postby benau » 06 Nov 2019, 03:28

seems that you have mulitple openssl version in your mac....

try keep only 1.1 openssl version in your /usr/local (or try use nettle instead in cmake)

not sure if you have interests to try ios stk lol! (visit irc for details)
Image
benau
STK Moderator
 
Posts: 153
Joined: 08 Dec 2015, 17:32

Re: Poblem building latest STK's git on Mac OSX

Postby sNuntz » 08 Nov 2019, 00:00

brew say: "openssl 1.0.2t is already installed and up-to-date"
i tried to remove it on brew
I can't fix the issue
I don't know how to use nettle

I'm interested to try stk for ios, which irc i have to visit? I couldn't find anything
Sorry
sNuntz
 
Posts: 13
Joined: 13 Jun 2019, 20:12

Re: Poblem building latest STK's git on Mac OSX

Postby benau » 08 Nov 2019, 04:16

Image
benau
STK Moderator
 
Posts: 153
Joined: 08 Dec 2015, 17:32

Re: Poblem building latest STK's git on Mac OSX

Postby sNuntz » 09 Nov 2019, 17:27

Installing openssl1.1.1d solved the problem

I don't know how to uninstall old version , just deleted a library file
Building success
Thanks
sNuntz
 
Posts: 13
Joined: 13 Jun 2019, 20:12

Who is online

Users browsing this forum: Google Feedfetcher and 1 guest